Class | Chef::ResourceDefinition
In: | lib/chef/resource_definition.rb
Parent: | Object

### Methods

define method_missing new to_s

### Included Modules

Chef::Mixin::FromFile Chef::Mixin::ParamsValidate

### Attributes

name | [RW] |
node | [RW] |
params | [RW] |
recipe | [RW] |

### Public Class methods

new(node=nil)

### Public Instance methods

define(resource_name, prototype_params=nil, &block)
method_missing(symbol, *args)

When we do the resource definition, we‘re really just setting new values for the paramaters we prototyped at the top. This method missing is as simple as it gets.

to_s()

[Validate]